Name: libdc1394
Version: 1.2.1
Release: alt1

Summary: Library for 1394 Digital Camera Specification

License: LGPL v2.1
Group: System/Libraries
Url: http://sf.net/projects/libdc1394/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/%name/%name-%version.tar.bz2
Patch: %name-clk.patch

%define libraw1394_ver 1.2.0
Requires: libraw1394 >= %libraw1394_ver
BuildPreReq: libraw1394-devel >= %libraw1394_ver

# manually removed: gcc-g77 xorg-x11-devel-static
# Automatically added by buildreq on Fri Aug 26 2005
BuildRequires: gcc-c++ libraw1394-devel libstdc++-devel xorg-x11-devel

%description
libdc1394 is a library that is intended to provide a high level
programming interface for application developers who wish to control
IEEE 1394 based cameras that conform to the 1394-based Digital Camera
Specification (found at http://www.1394ta.org/).

%package devel
Summary: Development components for libdc1394
Group: Development/C
Requires: %name = %version-%release
Requires: libraw1394-devel >= %libraw1394_ver

%description devel
This package contains the header-files for libdc1394 development.

%prep
%setup -q
%patch

%build
%configure --disable-static
%make

%install
%make_install install DESTDIR=%buildroot

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README
%_bindir/dc1394_vloopback
%_libdir/lib*.so.*

%files devel
%_includedir/libdc1394/
%_libdir/*.so

%changelog
* Sat Dec 09 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt1
- replace CLK_TCK with sysconf(_SC_CLK_TCK)
- add require libraw1394-devel to devel package

* Mon May 29 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt0.1
- new version 1.2.1

* Mon Feb 06 2006 Vitaly Lipatov <lav@altlinux.ru> 1.1.0-alt2
- replace xorg-x11-devel-static with xorg-x11-devel in build requires
- make libs no executable

* Fri Dec 16 2005 Vitaly Lipatov <lav@altlinux.ru> 1.1.0-alt1.1
- rebuild with libraw1394 1.2.0, add requires for it

* Fri Aug 26 2005 Vitaly Lipatov <lav@altlinux.ru> 1.1.0-alt1
- new version, rebuild with libraw1394-1.1.0

* Sun Feb 06 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt0.1
- first build for ALT Linux Sisyphus (spec from PLD team)
